
set echo on
set serveroutput on

ALTER TABLE tgt DROP PRIMARY KEY;

INSERT /*+ APPEND */ INTO tgt
SELECT x
,      y
,      DECODE(ROWNUM,1,RPAD(z,31,'@'),z)  --<-- 31 characters for row 1
FROM   src
LOG ERRORS INTO tgt_errors ('INSERT..SELECT..DIRECT..ORA-12899')
REJECT LIMIT UNLIMITED;

exec print_table( 'SELECT * FROM tgt_errors WHERE ora_err_tag$ LIKE ''%12899''' );

